<template>
    <div id="selectCardPlayerPage" class="container center text-center">
        <table class="text-center center">
            <tr>
                <td>
                    <Hint v-bind:roundId="roundId"></Hint>
                </td>
                <td>
                    <Points></Points>
                </td>
            </tr>
        </table>
        <br />
        <h3>Choose the card for the hint</h3>
        <br />
    <PlayerCards :canSelectCard=canSelectCard :isStoryteller=isStoryteller></PlayerCards>
    </div>
</template>

<script>
    import Hint from './Hint.vue';
    import Points from './Points.vue';
    import PlayerCards from './PlayerCards.vue';
    export default {
        name: 'selectCardPlayerPage',
        components: {
            PlayerCards,
            Hint,
            Points
        },
        data: function () {
            return {
                roundId: this.$route.params.roundId,
                canSelectCard: true,
                isStoryteller: false
            }
        }
    }
</script>
<style scoped>
    .center {
  margin-left: auto;
  margin-right: auto;
}
    td {
        padding: 20px;
    }
</style>